#!/bin/sh
POP_CONF="/var/tuxbox/config/popup.conf"
SIZE=$(grep ^SIZE=.* $POP_CONF | cut -d '=' -f 2)
TIME_POPUP=30
if [ -e /var/etc/.mmc_on ] ; then

if ! lsmod | grep mmc* > /dev/null ; then
/bin/msgbox msg="Treiber ~Ymmc.o ~Sbzw. ~Ymmc2.o ~Skonnte nicht geladen werden !~n~cBitte DBOX neu starten~n~cund Men~u ~YMMC/SD Utilitys ~Sneu aufrufen !" timeout=$TIME_POPUP size=$SIZE
exit
else

msg=/tmp/inst.txt
msg1=/tmp/inst1.txt

MSGBOX1 ()
{
echo ~c~Ybitte warten ! >> $msg1
msgbox refresh=0 size=$SIZE timeout=90 title="none" popup=$msg1
rm $msg1
}

echo ~cBei der ersten Inbetriebnahme muss die MMC/SD Karte > $msg
echo ~cformatiert werden. Sollten sich bereits Daten auf >> $msg
echo ~cder Karte befinden werden diese gel~oscht. >> $msg

MSGBOX ()
{
/bin/msgbox title="MMC/SD Utilitys" refresh=1 order=1 default=2 size=$SIZE msg="$msg" select="MMC/SD defragmentieren,MOUNT-Test,MMC/SD formatieren" timeout=$TIME_POPUP
case "$?" in
	1)
		echo MMC/SD wird defragmentiert ... > $msg1
		echo ~s >> $msg1
		MSGBOX1 &
		umount /mmc
		e2fsck -y /dev/mmc/disc0/part1
		sleep 2
		mount /dev/mmc/disc0/part1 /mmc
		sleep 1
		mount > tmp/mount
		if grep -q 'mmc/disc0' /tmp/mount ; then
			echo ~cMMC/SD wurde defragmentiert > $msg
			echo ~c~s >> $msg
			echo ~cMMC/SD ist nach /mmc gemountet >> $msg
		else
			echo ~cDefragmentierung fehlgeschlagen !! > $msg
			echo ~c~s >> $msg
			echo ~cDBOX neu booten und Vorgang wiederholen bzw. >> $msg
			echo ~cMMC/SD neu formatieren. >> $msg
		fi
		rm /tmp/mount
		killall msgbox
		MSGBOX
		;;
	2)
		mount > tmp/mount
		if grep -q 'mmc/disc0' /tmp/mount ; then
			echo ~cMMC/SD ist gemountet. > $msg
		else
			mount /dev/mmc/disc0/part1 /mmc
			sleep 1
			mount > tmp/mount
			if grep -q 'mmc/disc0' /tmp/mount ; then
				echo ~cMMC/SD ist gemountet. > $msg
			else
				echo ~cMMC/SD kann nicht gemountet werden. > $msg
				echo ~s~c >> $msg
				echo ~cMMC/SD Karte richtig eingebaut und formatiert ? >> $msg
				echo ~cMMC/SD Treiber richtig geladen ? >> $msg
			fi
		fi
		rm /tmp/mount
		MSGBOX
		;;
	3)
		echo MMC/SD wird formatiert ... > $msg1
		echo Alle Daten werden gelscht ! >> $msg1
		echo ~s >> $msg1
		MSGBOX1 &
		umount /mmc
		mkfs.ext2 /dev/mmc/disc0/part1
		sleep 2
		mount /dev/mmc/disc0/part1 /mmc
		sleep 1
		mount > tmp/mount
		if grep -q 'mmc/disc0' /tmp/mount ; then
			echo ~cMMC/SD wurde formatiert > $msg
			echo ~c~s >> $msg
			echo ~cMMC/SD ist nach /mmc gemountet >> $msg
		else
			echo ~cFEHLER !! > $msg
			echo ~cMMC/SD wurde nicht richtig formatiert >> $msg
			echo ~c~s >> $msg
			echo ~cVorgang wiederholen oder abbrechen ! >> $msg
		fi
		rm /tmp/mount
		killall msgbox
		MSGBOX
		;;
	*)
		rm $msg
		rm $msg1
		exit
		;;
		esac
}
MSGBOX
fi
else
/bin/msgbox msg="Keine ~YMMC/SD Treiber ~Saktiviert und geladen!~n~cBitte MMC/SD Treiber im Men~u aktivieren~n~cund ~YMen~u MMC/SD ~SUtilitys neu aufrufen !" timeout=$TIME_POPUP size=$SIZE
killall msgbox
fi